Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class Geometry

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.NodeComponent
              javax.media.j3d.Geometry

Direct Known Subclasses:
  CompressedGeometry, GeometryArray, Raster, Text3D

    public abstract class Geometry

extends NodeComponent

Geometry is an abstract class that specifies the geometry component information required by a Shape3D node. Geometry objects describe both the geometry and topology of the Shape3D nodes that reference them. Geometry objects consist of four generic geometric types:

- Compressed Geometry
- GeometryArray
- Raster
- Text3D

Each of these geometric types defines a visible object or set of objects. A Geometry object is used as a component object of a Shape3D leaf node.

Field Summary
`static int` | `ALLOW_INTERSECT` Specifies that this Geometry allows intersect operation.

Constructor Summary
`Geometry()` Constructs a new Geometry object.

Method Summary

Methods inherited from class javax.media.j3d.NodeComponent
`cloneNodeComponent, cloneNodeComponent, duplicateNodeComponent, duplicateNodeComponent, getDuplicateOnCloneTree, setDuplicateOnCloneTree`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setUserData, updateNodeReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALLOW_INTERSECT

    public static final int ALLOW_INTERSECT

  Specifies that this Geometry allows intersect operation.

  See Also:
    Constant Field Values

Constructor Detail

### Geometry

    public Geometry()

  Constructs a new Geometry object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD